Module: Dnsimple

Defined in:
lib/dnsimple.rb,
lib/dnsimple/user.rb,
lib/dnsimple/base.rb,
lib/dnsimple/extra.rb,
lib/dnsimple/error.rb,
lib/dnsimple/client.rb,
lib/dnsimple/domain.rb,
lib/dnsimple/record.rb,
lib/dnsimple/default.rb,
lib/dnsimple/service.rb,
lib/dnsimple/version.rb,
lib/dnsimple/contact.rb,
lib/dnsimple/template.rb,
lib/dnsimple/certificate.rb,
lib/dnsimple/compatibility.rb,
lib/dnsimple/transfer_order.rb,
lib/dnsimple/template_record.rb,
lib/dnsimple/extended_attribute.rb,
lib/dnsimple/client/users_service.rb,
lib/dnsimple/client/client_service.rb,
lib/dnsimple/client/records_service.rb,
lib/dnsimple/client/domains_service.rb,
lib/dnsimple/client/contacts_service.rb,
lib/dnsimple/client/services_service.rb,
lib/dnsimple/client/templates_service.rb,
lib/dnsimple/client/certificates_service.rb,
lib/dnsimple/client/name_servers_service.rb

Defined Under Namespace

Modules: Compatibility, Default, Extra Classes: AuthenticationError, AuthenticationFailed, Base, Certificate, Client, Contact, Domain, Error, ExtendedAttribute, Record, RecordNotFound, RequestError, Service, Template, TemplateRecord, TransferOrder, TwoFactorAuthenticationRequired, User

Constant Summary collapse

VERSION =
'2.0.0.alpha2'

Class Method Summary collapse

Class Method Details

.deprecate(message = nil) ⇒ void

This method returns an undefined value.

Echoes a deprecation warning message.

Parameters:

  • message (String) (defaults to: nil)

    The message to display.



12
13
14
15
# File 'lib/dnsimple.rb', line 12

def self.deprecate(message = nil)
  message ||= "You are using deprecated behavior which will be removed from the next major or minor release."
  warn("DEPRECATION WARNING: #{message}")
end